import {Component, Input, OnInit} from '@angular/core';

import {HsDialogContainerService} from 'hslayers-ng';

import {MetadataDialogComponent} from '../metadata-dialog/metadata-dialog.component';

@Component({
  selector: 'pra-dataset-list',
  templateUrl: './dataset-list.component.html',
  styleUrls: ['../adjuster.component.scss'],
})

export class DatasetListComponent implements OnInit {
  @Input() factor;
  datasetlistVisible = false;
  constructor(public hsDialogContainerService: HsDialogContainerService) {}

  ngOnInit() {}

  showMetadataWindow(dataset) {
    this.hsDialogContainerService.create(MetadataDialogComponent, {title: dataset.name});
  }
}
